# MonolithicController Class Reference
[Spring-like webflow tools]

Inheritance diagram for MonolithicController:
[legend]

List of all members.

## Public Member Functions

| __construct (Prototyped $subject)
| handleRequest (HttpRequest $request)
| doImport (Prototyped $subject, Form $form, HttpRequest $request)
| doDrop (Prototyped $subject, Form $form, HttpRequest $request)
| doSave (Prototyped $subject, Form $form, HttpRequest $request)
| doEdit (Prototyped $subject, Form $form, HttpRequest $request)
| doAdd (Prototyped $subject, Form $form, HttpRequest $request)

## Detailed Description

Definition at line 15 of file MonolithicController.class.php.

## Constructor & Destructor Documentation

MonolithicController::__construct | ( | Prototyped $ | subject | ) |

Reimplemented from BaseEditor.

Definition at line 17 of file MonolithicController.class.php.

## Member Function Documentation

MonolithicController::doAdd | ( | Prototyped $ | subject,
|  | Form $ | form,
|  | HttpRequest $ | request |
| ) |  |  |

Returns:
  ModelAndView

Definition at line 93 of file MonolithicController.class.php.

References AddCommand::create().

Here is the call graph for this function:

MonolithicController::doDrop | ( | Prototyped $ | subject,
|  | Form $ | form,
|  | HttpRequest $ | request |
| ) |  |  |

Returns:
  ModelAndView

Definition at line 63 of file MonolithicController.class.php.

References DropCommand::create().

Here is the call graph for this function:

MonolithicController::doEdit | ( | Prototyped $ | subject,
|  | Form $ | form,
|  | HttpRequest $ | request |
| ) |  |  |

Returns:
  ModelAndView

Definition at line 83 of file MonolithicController.class.php.

References EditCommand::create().

Here is the call graph for this function:

MonolithicController::doImport | ( | Prototyped $ | subject,
|  | Form $ | form,
|  | HttpRequest $ | request |
| ) |  |  |

Returns:
  ModelAndView

Definition at line 53 of file MonolithicController.class.php.

References ImportCommand::create().

Here is the call graph for this function:

MonolithicController::doSave | ( | Prototyped $ | subject,
|  | Form $ | form,
|  | HttpRequest $ | request |
| ) |  |  |

Returns:
  ModelAndView

Definition at line 73 of file MonolithicController.class.php.

References SaveCommand::create().

Here is the call graph for this function:

MonolithicController::handleRequest | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Implements Controller.

Definition at line 31 of file MonolithicController.class.php.

References ModelAndView::create(), BaseEditor::getForm(), and BaseEditor::postHandleRequest().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Flow/MonolithicController.class.php